
// cube([x,y,z],center)
// cylinder(h = height, r1 = BottomRadius, r2 = TopRadius, center = true/false);


extFrame=[80,80,8];

// heat sink mount pad
module hsMount(widthX=8,depthY=16,heightZ=4){
    color([0.3,0.3,0.3])    
    difference(){
        cube([widthX,depthY,heightZ]);

        translate([4,depthY-4,-0.5])
            cylinder(h=heightZ+1, r1=2.5, r2=2.5);
    }
}

// heat sink pad sizes to override default ones
widthX=8;
depthY=8;
heightZ=4;

// START:

translate([0,0,5]){


union(){



    
difference(){
  // main frame
  cube(extFrame,true);

  // airflow channel
  cylinder(h=9, r1=30, r2=38, center=true);


  // screw hole 1
  translate([36,36,-4.5])
    cylinder(h=9, r1=2.7, r2=2.7,center=false);    

  // screw hole 2
  translate([36,-36,-4.5])
    cylinder(h=9, r1=2.7, r2=2.7,center=false);    

  // screw hole 3
  translate([-36,36,-4.5])
    cylinder(h=9, r1=2.7, r2=2.7,center=false);    

  // screw hole 4
  translate([-36,-36,-4.5])
    cylinder(h=9, r1=2.7, r2=2.7,center=false);

  // Inner screw 1 clearance
  translate([21, 21, -4.5])
    cube([widthX,depthY,9]);

  // Inner screw 2 clearance
  translate([-21-widthX, 21, -4.5])
    cube([widthX,depthY,9]);

  // Inner screw 3 clearance
  translate([21, -21-depthY, -4.5])
    cube([widthX,depthY,9]);

  // Inner screw 4 clearance
  translate([-21-widthX, -21-depthY, -4.5])
    cube([widthX,depthY,9]);

} // difference



  // Inner screw holes, used to connect with a heat sink.

  // Inner screw 1
  translate([21, 21, -4])
    hsMount(widthX,depthY);

  // Inner screw 2
  translate([-21-widthX, 21, -4])
    hsMount(widthX,depthY);

  // Inner screw 3
  translate([21+widthX, -21, -4])
    rotate([0,0,180])
        hsMount(widthX,depthY);

  // Inner screw 4
  translate([-21, -21, -4])
    rotate([0,0,180])
        hsMount(widthX,depthY);



} // union

} // translate

// Heat sink
// Needed only to see and center inner screw holes...
//color([1,0,0])
//cube([50,50,4],true);

echo("Done");

// Written by Pawel Tatera
// http://tinyit.pl
